
Core - Task # 24146

Status: Closed Priority: Should have
Author: Ernesto Baschny Category:
Created: 2010-11-20 Assigned To: Jigal van Hemert
Updated: 2013-06-01 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Sprint Focus:
Subject: Remove ImageMagick 4 and ImageMagick 5 support
Description

IM4 and IM5 support has been deprecated in 4.5 and since this is a long time support release we decided to remove support for it
starting in 4.6 already to speed up the process of implementing fixes and new features in our image handling routines.

(issue imported from #M16489)

Related issues:
related to Core - Task # 31461: The Big Cleanup 4.7 Resolved 2012-02-19 2012-02-20
related to Core - Bug # 25333: Remove support for old versions of IM/GM Closed 2011-03-16

Associated revisions
Revision 9525e5e8 - 2011-05-11 09:48 - Xavier Perseguers

[TASK] Remove support for ImageMagick 4 and 5

IM4 and IM5 support has been deprecated and is scheduled for
removal in TYPO3 4.6.

Change-Id: Ib7610a3666e764e32c854fb04b5d80ef3030dad3
Resolves: #24146
Reviewed-on: http://review.typo3.org/1989
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision 54372179 - 2011-05-11 11:23 - Xavier Perseguers

[TASK] Set ImageMagick v6 as default

IM4 and IM5 support has been deprecated and is scheduled for
removal in TYPO3 4.6. Default empty setting for im_version_5
meant IM4. It should now reflect v6 instead.

Change-Id: Idcebd41d9cf6059ea61363a8965fef9d526e9d00
Resolves: #24146
Reviewed-on: http://review.typo3.org/2049
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

History
#1 - 2011-05-10 15:52 - Xavier Perseguers
- Tracker changed from Feature to Task

#2 - 2011-05-10 16:08 - Mr. Hudson

Patch set 1 of change Ib7610a3666e764e32c854fb04b5d80ef3030dad3 has been pushed to the review server.
It is available at http://review.typo3.org/1989

#3 - 2011-05-10 16:08 - Xavier Perseguers
- Status changed from Accepted to Under Review

#4 - 2011-05-10 22:43 - Mr. Hudson

Patch set 2 of change Ib7610a3666e764e32c854fb04b5d80ef3030dad3 has been pushed to the review server.
It is available at http://review.typo3.org/1989

#5 - 2011-05-10 22:46 - Mr. Hudson

Patch set 3 of change Ib7610a3666e764e32c854fb04b5d80ef3030dad3 has been pushed to the review server.
It is available at http://review.typo3.org/1989

#6 - 2011-05-11 08:34 - Mr. Hudson

Patch set 4 of change Ib7610a3666e764e32c854fb04b5d80ef3030dad3 has been pushed to the review server.
It is available at http://review.typo3.org/1989

#7 - 2011-05-11 09:53 - Xavier Perseguers
- Status changed from Under Review to Resolved

#8 - 2012-03-07 13:31 - Xavier Perseguers
- Status changed from Resolved to Closed

#9 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1081)
